/*
 * stm32f4xx_ctx.h
 *
 *  Created on: Oct 1, 2015
 *      Author: tkl
 */

#ifndef STM32F4XX_CTX_H_
#define STM32F4XX_CTX_H_

void start_first_task(void);
void arch_schedule(void);

#define restore_context()	{ enable_irq(); start_first_task(); }

#endif /* STM32F4XX_CTX_H_ */
